ORG.BLUEZ.GATTPROFILE(5)

NAME
org.bluez.GattProfile - BlueZ D-Bus GattProfile API documentation

DESCRIPTION

Local profile (GATT client) instance. By registering this type of object an application effectively indicates support for a specific GATT profile and requests automatic connections to be established to devices supporting it.

INTERFACE

    Service
        <application dependent>

    Interface
        org.bluez.GattProfile1

    Object path
        <application dependent>

  Methods

  void Release()
        This method gets called when the service daemon unregisters the profile. The profile can use it to do cleanup tasks. There is no need to unregister the profile, because when this method gets called it has already been unregistered.

  Properties

  array{string} UUIDs [read-only]
        128-bit GATT service UUIDs to auto connect.